Bug 158721 - devel/sfml: Fix .so filenames
Summary: devel/sfml: Fix .so filenames
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-08 09:10 UTC by Ganael LAPLANCHE
Modified: 2011-08-24 06:10 UTC (History)
0 users

See Also:


Attachments
file.diff (8.74 KB, patch)
2011-07-08 09:10 UTC, Ganael LAPLANCHE
no flags Details | Diff
patch-sfml.txt (7.66 KB, patch)
2011-07-21 13:54 UTC, Ganael LAPLANCHE
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ganael LAPLANCHE freebsd_committer 2011-07-08 09:10:01 UTC
Hi Dmitry,

Find attached a patch for devel/sfml that fixes library filenames to make them conform to the lib*.so.[0-9] pattern (see ldconfig(8)). This patch makes the libraries visible through 'ldconfig -r'.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-07-08 09:10:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Ganael LAPLANCHE freebsd_committer 2011-07-21 13:54:13 UTC
Hi,

Here is a new version of the patch, respecting the original Dos file
format for patches.

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 3 amdmi3 2011-07-26 10:44:23 UTC
* Ganael LAPLANCHE (martymac@FreeBSD.org) wrote:

> Here is a new version of the patch, respecting the original Dos file
> format for patches.

What problem does it solve?

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 4 Ganael LAPLANCHE freebsd_committer 2011-08-22 12:40:40 UTC
On Tue, 26 Jul 2011 13:44:23 +0400, Dmitry Marakasov wrote

Hi Dmitry,

Sorry for the long delay of my answer, I am just back from a month of
holidays :p

> > Here is a new version of the patch, respecting the original Dos file
> > format for patches.
> 
> What problem does it solve?

This second patch does not solve anything more than the 1st one present
in the PR, except that it deals with CR/LF problems in the first one
(that didn't apply cleanly).

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 5 amdmi3 2011-08-23 00:45:55 UTC
* Ganael LAPLANCHE (martymac@FreeBSD.org) wrote:

> Sorry for the long delay of my answer, I am just back from a month of
> holidays :p
> 
> > > Here is a new version of the patch, respecting the original Dos file
> > > format for patches.
> > 
> > What problem does it solve?
> 
> This second patch does not solve anything more than the 1st one present
> in the PR, except that it deals with CR/LF problems in the first one
> (that didn't apply cleanly).

I've meant what problem does the PR in general solve?

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 6 Ganael LAPLANCHE freebsd_committer 2011-08-23 07:20:22 UTC
On Tue, 23 Aug 2011 03:45:55 +0400, Dmitry Marakasov wrote

> I've meant what problem does the PR in general solve?

Sorry :p

This PR makes the libraries visible through 'ldconfig -r', allowing them
to be used in other ports with LIB_DEPENDS. Without this patch, this is
not possible as they are never found because their filenames do not
conform to the lib*.so.[0-9] pattern (see ldconfig(8)).

Best regards,

--
Ganael LAPLANCHE <ganael.laplanche@martymac.org>
http://www.martymac.org | http://contribs.martymac.org
FreeBSD: martymac <martymac@FreeBSD.org>, http://www.FreeBSD.org
Comment 7 dfilter freebsd_committer 2011-08-24 06:04:20 UTC
amdmi3      2011-08-24 05:04:11 UTC

  FreeBSD ports repository

  Modified files:
    devel/sfml           Makefile pkg-plist 
  Log:
  - Install BSD-style named libraries
  
  PR:             158721
  Submitted by:   Ganael Laplanche <martymac@FreeBSD.org>
  
  Revision  Changes    Path
  1.8       +4 -1      ports/devel/sfml/Makefile
  1.3       +5 -0      ports/devel/sfml/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Dmitry Marakasov freebsd_committer 2011-08-24 06:04:28 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!